AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.Manager.Action
UpdateConfigAction Class
UpdateConfigAction Methods
AddCommand Method
AddCommand Method
AddCommand Method (String)
AddCommand Method (String, String)
AddCommand Method (String, String, String)
AddCommand Method (String, String, String, String)
AddCommand Method (String, String, String, String, String)

| UpdateConfigAction AddCommand Method (String, String, String, String, String)

Adds a command to update a config file while sparing you the details of the Manager's required syntax. If you want to omit one of the command's sections, provide a null value to this method. The command index will be incremented even if you supply a null for all parameters, though the action will be unaffected.

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public void AddCommand(
    	string action,
    	string category,
    	string variable,
    	string value,
    	string match
    )

    Public Sub AddCommand (
    	action As String,
    	category As String,
    	variable As String,
    	value As String,
    	match As String
    )

    public:
    void AddCommand(
    	String^ action,
    	String^ category,
    	String^ variable,
    	String^ value,
    	String^ match
    )

    member AddCommand :
            action : string *
            category : string *
            variable : string *
            value : string *
            match : string -> unit

#### Parameters

action
  Type: System
  String
  Action to Take (NewCat,RenameCat,DelCat,Update,Delete,Append)
category
  Type: System
  String
  Category to operate on
variable
  Type: System
  String
  Variable to work on
value
  Type: System
  String
  Value to work on
match
  Type: System
  String
  Extra match required to match line

See Also

#### Reference

UpdateConfigAction Class
AddCommand Overload
AsterNET.Manager.Action Namespace